<?php
global $lang;
if(!isset($config->thinkwizard)) $config->thinkwizard = new stdclass();

$config->thinkwizard->thumbnailExtensions = array('jpg', 'jpeg', 'png', 'gif');
$config->thinkwizard->venn                = array('3c', 'ansoff');
$config->thinkwizard->associatedQuestion  = array('radio', 'checkbox', 'multicolumn');
$config->thinkwizard->hiddenMenuModel     = array('appeals', 'bcg');

$config->thinkwizard->create = new stdClass();
$config->thinkwizard->create->requiredFields = 'name,desc,model';

$config->thinkwizard->edit = new stdClass();
$config->thinkwizard->edit->requiredFields = 'name,desc,model';

$config->thinkwizard->stepNavsOrder = array();
$config->thinkwizard->stepNavsOrder['appeals'] = array('configureObjects', 'configureDimension', 'configureQuestions', 'preview', 'prerelease');
$config->thinkwizard->stepNavsOrder['MQA']     = array('configureObjects', 'configureDimension', 'configureParameter', 'preview', 'prerelease');

$config->thinkwizard->modelType['QLA'] = array('swot', 'pest', 'pestel', 'pffa', '4p', '4p2', 'ansoff');
$config->thinkwizard->modelType['QCA'] = array('3c');
$config->thinkwizard->modelType['RDA'] = array('appeals');
$config->thinkwizard->modelType['MQA'] = array('bcg');

$config->thinkwizard->configurationType = array('RDA', 'MQA');

$config->thinkwizard->previewBlocks['MQA'] = array(array(0, 0), array(0, 1), array(0, 2), array(1, 0), array(1, 1), array(1, 2), array(2, 0), array(2, 1), array(2, 2));
$config->thinkwizard->areaCount['MQA']     = array(1, 2, 3, 2, 4, 6, 3, 6, 9);

$config->thinkwizard->builtInSteps = array();
$config->thinkwizard->builtInSteps['appeals'] = array();
$config->thinkwizard->builtInSteps['appeals']['objects'] = array(
    (object)['parent' => 0, 'grade' => 1, 'order' => 0, 'run' => 0, 'type' => 'node',     'title' => $lang->thinkwizard->stepNavs['appeals']['configureObjects'], 'options' => null],
    (object)['parent' => 1, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => '', 'options' => '{"questionType":"input","required":"1"}'],
    (object)['parent' => 1, 'grade' => 2, 'order' => 1, 'run' => 0, 'type' => 'question', 'title' => '', 'options' => '{"questionType":"multicolumn","fields":["竞对%s名称", "竞对%s描述"],"required":"1","requiredCols":["1"],"supportAdd":"0"}'],
);
$config->thinkwizard->builtInSteps['appeals']['dimension'] = array(
    (object)['parent' => 0, 'grade' => 1, 'order' => 1, 'run' => 0, 'type' => 'node',     'title' => $lang->thinkwizard->stepNavs['appeals']['configureDimension'], 'options' => null],
    (object)['parent' => 2, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => '', 'desc' => $lang->thinkwizard->dimension->desc, 'options' => '{"questionType":"tableInput","required":"1","inputType":"1","requiredRows":"8","supportAdd":"0","canAddRows":"1","fields":[], "enableRatio":"1", "canConfigureRatio":"0"}', 'answer' => null],

);
$config->thinkwizard->builtInSteps['appeals']['dimensionNode'] = array(
    (object)['parent' => 0, 'grade' => 1, 'order' => 3, 'run' => 0, 'type' => 'node', 'title' => '', 'options' => ''],
);
$config->thinkwizard->builtInSteps['questions']['scoreQuestion'] = array(
    (object)['parent' => 3, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => '', 'desc' => '', 'options' => '{"questionType":"score","required":"1","setOption":"1","scoreSetting":"0","quoteTitle": "", "citation": "4, 3", "selectColumn": "0, 1","criterions5":[], "criterions10": [] }'],
);

$config->thinkwizard->builtInSteps['MQA'] = array();
$config->thinkwizard->builtInSteps['MQA']['objects'] = array(
    (object)['parent' => 0, 'grade' => 1, 'order' => 0, 'run' => 0, 'type' => 'node',     'title' => $lang->thinkwizard->stepNavs['MQA']['configureObjects'], 'options' => null],
    (object)['parent' => 1, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->objects->mainNameforMQA,    'desc' => $lang->thinkwizard->objects->mainNameDescforMQA,    'options' => '{"questionType":"multicolumn","fields":[""],"required":"1","requiredCols":["1"],"canAddRows":"5","supportAdd":"1","minRows":"2"}'],
    (object)['parent' => 1, 'grade' => 2, 'order' => 1, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->objects->mainMarketforMQA,  'desc' => $lang->thinkwizard->objects->mainMarketDescforMQA,  'options' => '{"questionType":"tableInput","required":"1","requiredRows":"3","supportAdd":"0","canAddRows":"1","fields":[],"setOption":"1","quoteTitle":"","citation":"3", "selectColumn":"1"}'],
    (object)['parent' => 1, 'grade' => 2, 'order' => 2, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->objects->competeNameforMQA, 'desc' => $lang->thinkwizard->objects->competeNameDescforMQA, 'options' => '{"questionType":"tableInput","required":"1","requiredRows":"3","supportAdd":"0","canAddRows":"1","fields":[],"setOption":"1","quoteTitle":"","citation":"3", "selectColumn":"1"}'],
);
$config->thinkwizard->builtInSteps['MQA']['dimension'] = array(
    (object)['parent' => 0, 'grade' => 1, 'order' => 1, 'run' => 0, 'type' => 'node', 'title' => '', 'options' => null],
    (object)['parent' => 0, 'grade' => 1, 'order' => 2, 'run' => 0, 'type' => 'node', 'title' => '', 'options' => null],
);

$config->thinkwizard->builtInSteps['MQA']['xParameter'] = array(
    (object)['parent' => 2, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => '',  'desc' => '',                                                'options' => array('questionType' => 'tableInput', 'required' => '1', 'supportAdd' => '0', 'canAddRows' => '1', 'fields' => array(), 'inputType' => '2', 'setOption' => '1', 'quoteTitle' => '', 'requiredRows' => '', 'selectColumn' => '1', 'citation' => '3')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 1, 'run' => 0, 'type' => 'question', 'title' => '',  'desc' => $lang->thinkwizard->parameter->xQuestionDesc['1'], 'options' => array('questionType' => 'tableInput', 'required' => '1', 'supportAdd' => '0', 'canAddRows' => '1', 'fields' => array(), 'inputType' => '2', 'setOption' => '1', 'quoteTitle' => '', 'requiredRows' => '', 'selectColumn' => '0', 'citation' => '5')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 2, 'run' => 0, 'type' => 'question', 'title' => '',  'desc' => $lang->thinkwizard->parameter->xQuestionDesc['2'], 'options' => array('questionType' => 'tableInput', 'required' => '1', 'supportAdd' => '0', 'canAddRows' => '1', 'fields' => array(), 'inputType' => '2', 'setOption' => '1', 'quoteTitle' => '', 'requiredRows' => '', 'selectColumn' => '0', 'citation' => '5')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 3, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->xQuestionTitle['3'], 'desc' => $lang->thinkwizard->parameter->xQuestionDesc['3'], 'options' => array('questionType' => 'score', 'required' => '1', 'setOption' => '1', 'quoteTitle' => '', 'citation' => '3', 'selectColumn' => '1', 'fields' => [], 'scoreSetting' => '0', 'criterions5' => $lang->thinkwizard->parameter->xThirdCriteria)],
    (object)['parent' => 2, 'grade' => 2, 'order' => 4, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->xQuestionTitle['4'], 'desc' => $lang->thinkwizard->parameter->xQuestionDesc['4'], 'options' => array('questionType' => 'score', 'required' => '1', 'setOption' => '1', 'quoteTitle' => '', 'citation' => '3', 'selectColumn' => '1', 'fields' => [], 'scoreSetting' => '0', 'criterions5' => $lang->thinkwizard->parameter->xFourthCriteria)],
    (object)['parent' => 2, 'grade' => 2, 'order' => 5, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->xQuestionTitle['5'], 'desc' => $lang->thinkwizard->parameter->xQuestionDesc['5'], 'options' => array('questionType' => 'checkbox', 'required' => '1', 'setOption' => '0', 'quoteTitle' => '', 'citation' => '', 'selectColumn' => '', 'fields' => $lang->thinkwizard->parameter->xFifthField, 'enableOther' => 'on', 'minCount'=> '1', 'maxCount' => '7')],
);

$config->thinkwizard->builtInSteps['MQA']['yParameter'] = array(
    (object)['parent' => 2, 'grade' => 2, 'order' => 0, 'run' => 0, 'type' => 'question', 'title' => '',  'desc' => '', 'options' => array('questionType' => 'tableInput', 'required' => '1', 'supportAdd' => '0', 'canAddRows' => '1', 'fields' => array(), 'inputType' => '2', 'setOption' => '1', 'quoteTitle' => '', 'requiredRows' => '', 'selectColumn' => '1', 'citation' => '3')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 1, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->yQuestionTitle['1'], 'desc' => $lang->thinkwizard->parameter->yQuestionDesc['1'],  'options' => array('questionType' => 'score', 'required' => '1', 'setOption' => '1', 'quoteTitle' => '', 'citation' => '3', 'selectColumn' => '1', 'fields' => [], 'scoreSetting' => '0', 'criterions5' => $lang->thinkwizard->parameter->yThirdCriteria)],
    (object)['parent' => 2, 'grade' => 2, 'order' => 2, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->yQuestionTitle['2'], 'desc' => $lang->thinkwizard->parameter->yQuestionDesc['2'], 'options' => array('questionType' => 'checkbox', 'required' => '1', 'setOption' => '0', 'quoteTitle' => '', 'citation' => '', 'selectColumn' => '', 'fields' => $lang->thinkwizard->parameter->yFourthField, 'minCount'=> '1', 'maxCount' => '4')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 3, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->yQuestionTitle['3'], 'desc' => $lang->thinkwizard->parameter->yQuestionDesc['3'], 'options' => array('questionType' => 'input', 'required' => '1')],
    (object)['parent' => 2, 'grade' => 2, 'order' => 4, 'run' => 0, 'type' => 'question', 'title' => $lang->thinkwizard->parameter->yQuestionTitle['4'], 'desc' => $lang->thinkwizard->parameter->yQuestionDesc['4'], 'options' => array('questionType' => 'input', 'required' => '1')],
);
